Bug 1467499 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by signal 11
Summary: [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d72f23a3e1627624bac5f1ec88c...
: 1448645 1469720 1472444 1472463 1476288 1478774 1479134 1480079 1480408 1481319 1495104 1496772 1498308 1498610 1499421 1499528 1502329 1505511 1507485 1512329 1512331 1513285 1513568 1523174 1545376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-04 04:35 UTC by Mark Tinberg
Modified: 2018-05-29 11:22 UTC (History)
51 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:22:41 UTC


Attachments (Terms of Use)
File: backtrace (26.59 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: core_backtrace (13.83 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: dso_list (15.97 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: environ (1.92 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: maps (79.21 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: open_fds (4.23 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details
File: var_log_messages (1.12 KB, text/plain)
2017-07-04 04:35 UTC, Mark Tinberg
no flags Details

Description Mark Tinberg 2017-07-04 04:35:07 UTC
Version-Release number of selected component:
gnome-software-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=e3b5ec52d03d4af6a0cb4fcf5fd9ec83;i=39928;b=86e080873ab24f6d81e5f2b88106bfe2;m=2b27e9c3;t=5534475f87d61;x=74bf9cbad3ca86c3
kernel:         4.11.7-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 get_installed_updates_cb at gs-update-dialog.c:196
 #2 g_task_return_now at gtask.c:1145
 #3 complete_in_idle_cb at gtask.c:1159
 #8 g_main_context_iteration at gmain.c:4033
 #9 g_application_run at gapplication.c:2381

Comment 1 Mark Tinberg 2017-07-04 04:35:11 UTC
Created attachment 1294060 [details]
File: backtrace

Comment 2 Mark Tinberg 2017-07-04 04:35:12 UTC
Created attachment 1294061 [details]
File: cgroup

Comment 3 Mark Tinberg 2017-07-04 04:35:13 UTC
Created attachment 1294062 [details]
File: core_backtrace

Comment 4 Mark Tinberg 2017-07-04 04:35:14 UTC
Created attachment 1294063 [details]
File: cpuinfo

Comment 5 Mark Tinberg 2017-07-04 04:35:15 UTC
Created attachment 1294064 [details]
File: dso_list

Comment 6 Mark Tinberg 2017-07-04 04:35:16 UTC
Created attachment 1294065 [details]
File: environ

Comment 7 Mark Tinberg 2017-07-04 04:35:17 UTC
Created attachment 1294066 [details]
File: exploitable

Comment 8 Mark Tinberg 2017-07-04 04:35:18 UTC
Created attachment 1294067 [details]
File: limits

Comment 9 Mark Tinberg 2017-07-04 04:35:20 UTC
Created attachment 1294068 [details]
File: maps

Comment 10 Mark Tinberg 2017-07-04 04:35:21 UTC
Created attachment 1294069 [details]
File: open_fds

Comment 11 Mark Tinberg 2017-07-04 04:35:22 UTC
Created attachment 1294070 [details]
File: proc_pid_status

Comment 12 Mark Tinberg 2017-07-04 04:35:23 UTC
Created attachment 1294071 [details]
File: var_log_messages

Comment 13 kornik 2017-07-11 17:56:09 UTC
*** Bug 1469720 has been marked as a duplicate of this bug. ***

Comment 14 chewy 2017-07-18 18:28:52 UTC
*** Bug 1472444 has been marked as a duplicate of this bug. ***

Comment 15 Chris Grimm 2017-07-18 19:45:15 UTC
*** Bug 1472463 has been marked as a duplicate of this bug. ***

Comment 16 Jacobo Aragunde 2017-07-26 09:50:46 UTC
Similar problem has been detected:

I clicked on the "there are installed updates" notification, which opened the gnome-software with the "installed updates" dialog. Then, I closed the dialog before it had finished loading its contents (dialog only contained a loading spinner).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=8f923f23ba644c96ba3778e32dc51d16;i=3faf;b=ab408e5093574bcea11d3eefe97e7dd0;m=5c207ea5;t=555353af6a02e;x=fa7aa3579d868eeb
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 csc17 2017-07-28 13:59:59 UTC
*** Bug 1476288 has been marked as a duplicate of this bug. ***

Comment 18 javier 2017-08-07 03:38:57 UTC
*** Bug 1478774 has been marked as a duplicate of this bug. ***

Comment 19 Edward J. Huff 2017-08-08 04:05:25 UTC
*** Bug 1479134 has been marked as a duplicate of this bug. ***

Comment 20 Bruno Thomsen 2017-08-10 05:57:15 UTC
*** Bug 1480079 has been marked as a duplicate of this bug. ***

Comment 21 Kelley McChesney 2017-08-11 00:40:07 UTC
*** Bug 1480408 has been marked as a duplicate of this bug. ***

Comment 22 Jorge Díaz Serrato 2017-08-13 22:26:22 UTC
Similar problem has been detected:

Presenta esta misma falla cada vez que inicio el sistema operativo.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=a5f527f2eaf349f1a6bb769a29e5d651;i=340d0;b=be648095260c4644931e876b82deead0;m=7519c7d;t=555152971a537;x=df7f2364dd5103c5
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Jan Niklas Hasse 2017-08-14 15:02:17 UTC
*** Bug 1481319 has been marked as a duplicate of this bug. ***

Comment 24 Cezary 2017-09-17 20:24:51 UTC
Similar problem has been detected:

After upgrading to Fedora 26 (dnf system-update download + reboot), I've tried to vie the release notes in Gnome Software.
After waiting ~1 min for the notes to load (without result), I have closed the notes dialog. Shortly after (~2 s) the application has crashed.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=7831c44bf7724f2796cc8d7a75846bfc;i=2cc9ee;b=26a931efb87d4afc8b3cecc8bcb53059;m=892bd11;t=5596832d73834;x=cbb1bfc5daa35456
kernel:         4.12.12-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Amit Dalia 2017-09-25 08:27:26 UTC
*** Bug 1495104 has been marked as a duplicate of this bug. ***

Comment 26 toover 2017-09-28 11:16:00 UTC
*** Bug 1496772 has been marked as a duplicate of this bug. ***

Comment 27 Frits VandenHeuvel 2017-10-03 23:29:45 UTC
*** Bug 1498308 has been marked as a duplicate of this bug. ***

Comment 28 Hari 2017-10-07 11:51:31 UTC
*** Bug 1499421 has been marked as a duplicate of this bug. ***

Comment 29 metalmaus 2017-10-08 12:20:43 UTC
*** Bug 1499528 has been marked as a duplicate of this bug. ***

Comment 30 Guido 2017-10-15 19:57:23 UTC
*** Bug 1502329 has been marked as a duplicate of this bug. ***

Comment 31 Krzysztof Troska 2017-10-27 17:47:55 UTC
Similar problem has been detected:

Right after log in click on notification of new packages installed
just after it shows up, closed the page about which packages was updated.
crash and bug notification.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=d7d57e59897d4564b144df40ed0e6b87;i=2bbaf9;b=ac00f9cf1fcf451c91cac3fc666dac77;m=4cd9f27;t=55c8a3e897930;x=917e220c3a8c433d
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 32 Javier Callejo 2017-10-30 11:50:15 UTC
*** Bug 1507485 has been marked as a duplicate of this bug. ***

Comment 33 Kalev Lember 2017-11-23 13:45:03 UTC
*** Bug 1448645 has been marked as a duplicate of this bug. ***

Comment 34 Kalev Lember 2017-11-23 13:46:11 UTC
*** Bug 1498610 has been marked as a duplicate of this bug. ***

Comment 35 Kalev Lember 2017-11-23 13:46:42 UTC
*** Bug 1505511 has been marked as a duplicate of this bug. ***

Comment 36 Kalev Lember 2017-11-23 13:47:10 UTC
*** Bug 1512329 has been marked as a duplicate of this bug. ***

Comment 37 Kalev Lember 2017-11-23 13:47:34 UTC
*** Bug 1512331 has been marked as a duplicate of this bug. ***

Comment 38 Kalev Lember 2017-11-23 13:47:58 UTC
*** Bug 1513285 has been marked as a duplicate of this bug. ***

Comment 39 Kalev Lember 2017-11-23 13:48:22 UTC
*** Bug 1513568 has been marked as a duplicate of this bug. ***

Comment 40 Simone Baldelli 2017-12-07 11:02:49 UTC
*** Bug 1523174 has been marked as a duplicate of this bug. ***

Comment 41 leanid 2017-12-20 19:21:01 UTC
Similar problem has been detected:

I just reboot my notebook.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=617b84c7a5ac4bfe800d1a4ab66cd688;i=712fb;b=260edcd6dfc0483b847ceeafb0ce10e8;m=27ea9ca;t=560b932190622;x=ec8e0dfef2ac946d
kernel:         4.14.6-300.fc27.x86_64
package:        gnome-software-3.26.3-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 42 Elliott Sales de Andrade 2017-12-31 04:59:17 UTC
Similar problem has been detected:

Look at updated packages from last reboot; close that because it was taking too long and I didn't really need to know.
Then close the overall application.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=ca0b7bd3c0ae445b90dcdd8dd15f746b;i=1385c;b=7599dcc6af8c496ab03ce8cead5e9aa1;m=1ca4b4e4;t=5619b00ef183a;x=c00e29b091df4e99
kernel:         4.14.8-300.fc27.x86_64
package:        gnome-software-3.26.4-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 bugzilla 2018-01-09 03:35:09 UTC
Similar problem has been detected:

restore from sleep.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=62dea6b97f8f4c30b3ff3c9464b13c9a;i=17780;b=97e86813075e4eb8990ddafeb80df480;m=1110c0863d;t=5624f7e01d782;x=57cb18e9ef33d6ca
kernel:         4.14.8-200.fc26.x86_64
package:        gnome-software-3.24.3-3.fc26
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 44 Hayden 2018-01-29 17:06:47 UTC
Similar problem has been detected:

Updated Fedora after install of 27.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=7e1bf426626b4b67b6c7d672325ac129;i=3d2f;b=b685cf88e71449c7a04fa2c8a7815173;m=196e39f7;t=563ed39a1a11b;x=7347e7a33b1e560d
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-software-3.26.5-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 45 Jonathan Haas 2018-01-29 18:25:25 UTC
Similar problem has been detected:

After installing updates I clicked on notification to review them. It crashed about one second after the window appeared.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=d576b729a40f4c45a8bf4bdd057b1e79;i=380b6;b=d7ef477d96a54722a7b66e3f8a500863;m=53d6305;t=563ee4ef99507;x=98feebe1605b5d6
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-software-3.26.5-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 46 Esteban Cortés 2018-02-14 18:47:50 UTC
*** Bug 1545376 has been marked as a duplicate of this bug. ***

Comment 47 Denys 2018-04-01 18:17:33 UTC
Similar problem has been detected:

I closed the gnome software and it has crashed as a result.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=3b6d179cceeb4391830425003b235511;i=6a62;b=eda82a560c3149f0bf5132fe823549be;m=4d5726e;t=568cd65c65a03;x=ad9517db6a1768d5
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-software-3.26.7-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 48 Luya Tshimbalanga 2018-05-01 23:20:06 UTC
Similar problem has been detected:

Checking update

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=22f7a4303925419ba969dd271b352d67;i=1cbafa;b=781f0f5d0e9d4ff583d77006afdb69f5;m=f18ed04;t=56b2cde8feb96;x=a2fea8bd674e095c
kernel:         4.16.5-200.fc27.x86_64
package:        gnome-software-3.28.1-1.fc27.1
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 49 Fedora End Of Life 2018-05-03 08:04:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 50 Fedora End Of Life 2018-05-29 11:22:41 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.